Bug 10181 - Improve message shown for deleted records in basket summary page
Summary: Improve message shown for deleted records in basket summary page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-03 06:24 UTC by Katrin Fischer
Modified: 2017-06-14 22:05 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10181: Acq - Improve message for deleted records (4.18 KB, patch)
2015-04-15 09:34 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10181: Make string translatable (2.63 KB, patch)
2015-08-28 11:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10181: Acq - Improve message for deleted records (4.18 KB, patch)
2015-08-28 11:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10181: Acq - Improve message for deleted records (4.32 KB, patch)
2015-08-29 10:59 UTC, j.kylmala
Details | Diff | Splinter Review
Bug 10181: Make string translatable (2.77 KB, patch)
2015-08-29 11:01 UTC, j.kylmala
Details | Diff | Splinter Review
Bug 10181: Make string translatable (2.77 KB, patch)
2015-09-21 13:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10181: Acq - Improve message for deleted records (4.32 KB, patch)
2015-09-21 13:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 10181: Make string translatable (2.84 KB, patch)
2015-09-30 22:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10181: Acq - Improve message for deleted records (4.39 KB, patch)
2015-09-30 22:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-05-03 06:24:24 UTC
When you delete a record that is used in an order, the basket summary displays:

Deleted bibliographic notice, can't find title.

While it would be nice if it showed a note about the deletion and the title from the deletedbilbio table, it would be better if it used 'record' instead of notice.
Comment 1 Jonathan Druart 2015-04-15 09:34:21 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2015-08-28 09:35:12 UTC
Applying: Bug 10181: Acq - Improve message for deleted records
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basket.tt).
Repository lacks necessary blobs to fall back on 3-way merge.
Comment 3 Jonathan Druart 2015-08-28 11:52:34 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-08-28 11:52:38 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-08-28 11:52:58 UTC
(In reply to Marcel de Rooy from comment #2)
> Applying: Bug 10181: Acq - Improve message for deleted records
> fatal: sha1 information is lacking or useless
> (koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basket.tt).
> Repository lacks necessary blobs to fall back on 3-way merge.

Oops, I have forgotten a patch!
Comment 6 j.kylmala 2015-08-29 10:59:17 UTC Comment hidden (obsolete)
Comment 7 j.kylmala 2015-08-29 11:01:10 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2015-09-21 13:54:34 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2015-09-21 13:54:39 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2015-09-30 22:21:26 UTC
Created attachment 42985 [details] [review]
[PASSED QA] Bug 10181: Make string translatable

Signed-off-by: Joonas Kylmälä <j.kylmala@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2015-09-30 22:21:39 UTC
Created attachment 42986 [details] [review]
[PASSED QA] Bug 10181: Acq - Improve message for deleted records

There are some issues here:
1/ Message not translatable (set in the pl file)
2/ ' by 'displayed even if no author defined
3/ Message not the same every where
4/ Nothing displayed on the invoice page

Test plan:
1/ Create a basket
2/ Add 4 orders A, B, C, D
3/ On the basket, you see "$title by $author", or "$title" if no author
defined
4/ Delete order A, B
5/ Close the basket
6/ Receive B, C
7/ Delete record created for A, C
8/ Go on the basket page, you should see the title and "Deleted
bibliographic record, can't find title" for the deleted record
9/ Go on the invoice page, you should see the title and "Deleted
bibliographic record, can't find title" for the deleted record

Signed-off-by: Joonas Kylmälä <j.kylmala@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Tomás Cohen Arazi 2015-10-02 18:27:26 UTC
Patches pushed to master.

Thanks Jonathan!
Comment 13 Chris Cormack 2015-10-23 11:46:23 UTC
String changes, held for 3.20.6
Comment 14 Chris Cormack 2015-11-08 20:02:12 UTC
Pushed to 3.20.x will be in 3.20.6
Comment 15 Liz Rea 2016-01-06 21:23:09 UTC
Pushed to 3.18.13, and released.